Kaspersky deteta vulnerabilidade no Google Chrome

Segurança

A Kaspersky detetou uma nova vulnerabilidade que é executada no navegador Google Chrome, conhecida como CVE-2019-13720, a mesma já foi reportada à Google. Após a análise do PoC fornecido, o Google confirmou que é uma vulnerabilidade “zero-day” e lançou um patch.

Vulnerabilidades “zero-day” são falhas não conhecidas no software, que podem ser exploradas por criminosos para causar danos inesperados às vítimas. Este novo exploit foi usado em ataques que aproveitaram uma injeção de código malicioso num site de notícias coreano.

A página principal deste site foi infetada por um código Javascript malicioso que, por sua vez, carregava um script de identificação para um servidor remoto, para verificar se o sistema da vítima poderia ser infetado, examinando as versões do navegador utilizado. O ataque tentava então explorar a vulnerabilidade no navegador Google Chrome através de um script que verificava se estava a ser utilizada a versão 65 do navegador ou a anterior.

Esse exploit dava ao criminoso uma condição de Use-After-Free (UaF), que é bastante perigosa, pois permite cenários onde a execução de códigos maliciosos é permitida.

Se o sistema operativo e o navegador cumprirem com os requisitos, o script descarrega o exploit por fragmentos e depois, monta-o e decifra-o. A primeira coisa que este exploit faz é comprovar a versão do Chrome.

Nessa etapa, torna-se mais seletivo e funciona exclusivamente com o Chrome 76 ou 77, embora possa haver outros exploits para diferentes versões do navegador.

Depois de encontrar o que procura, o exploit tenta aproveitar a vulnerabilidade CVE-2019-13720, do tipo use-after-free que se baseia no uso inadequado da memória do computador. Ao manipular a memória, o exploit obtém permissão para ler e escrever dados no dispositivo, que usa imediatamente para descarregar, decifrar e executar o malware.

Read also :